new installation errors on centos 8

Use this forum for questions regarding installation, upgrading and configuration of OpenEMM

Moderator: moderator

1100101
Posts: 3
Joined: Thu Oct 29, 2020 4:49 pm

new installation errors on centos 8

Post by 1100101 » Thu Oct 29, 2020 5:03 pm

i have a setup on centos 8 and made a new install based on the install guide.
when i start the installer, i get the message that there's an update available with no choice to cancel it.

the installer restarts and fails with following message:

Checking python installation ...
Python version found: 3.8.6
Checking MariaDB/MySQL installation ...
DB version found: mysql Ver 15.1 Distrib 10.3.17-MariaDB, for Linux (x86_64) using readline 5.1
Checking Zip installation ...
Zip version 3.0 found
Starting python ...
AttributeError: type object 'Environment' has no attribute 'emmStatisticsPropertiesFilePath'


any ideas how to continue?

tgidevops
Posts: 8
Joined: Tue Oct 27, 2020 4:49 am

Re: new installation errors on centos 8

Post by tgidevops » Sat Oct 31, 2020 9:47 pm

I've got same problem. Hope someone can give an advice.

# /home/openemm/bin/OpenEMMInstaller.sh -debug
Checking python installation ...
Checking python installation ...
Python version found: 3.8.6
Checking MariaDB/MySQL installation ...
DB version found: mysql Ver 15.1 Distrib 10.3.17-MariaDB, for Linux (x86_64) using readline 5.1
Checking Zip installation ...
Zip version 3.0 found
Starting python ...
Traceback (most recent call last):
File "/home/openemm/tomcat9/bin/OpenEMMInstaller_3.py", line 6215, in <module>
Environment.init()
File "/home/openemm/tomcat9/bin/OpenEMMInstaller_3.py", line 630, in init
if Environment.emmStatisticsPropertiesFilePath != None:
AttributeError: type object 'Environment' has no attribute 'emmStatisticsPropertiesFilePath'

maschoff
Site Admin
Posts: 2512
Joined: Thu Aug 03, 2006 10:20 am
Location: Munich, Germany
Contact:

Re: new installation errors on centos 8

Post by maschoff » Sat Oct 31, 2020 10:01 pm

Which version of the runtime did you use?
OpenEMM Maintainer

tgidevops
Posts: 8
Joined: Tue Oct 27, 2020 4:49 am

Re: new installation errors on centos 8

Post by tgidevops » Sun Nov 01, 2020 1:03 am

JAVa version use:
/usr/lib/jvm/java-11-openjdk-11.0.8.10-0.el8_2.x86_64

$cd /home/openemm
$ tar zxvf openemm-runtime-20.04.000.043.tar.gz

$sudo su -
#/home/openemm/bin/OpenEMMInstaller.sh
...

================================
= OpenEMM Installer v20.04.003 =
================================
Root mode: On
Host: TEST.MYDOMAIN
Runtime Version: 20.04.000.043
Manual Version: Unknown
OpenEMM Version: Unknown
System-Url: Unknown
OpenEMMBackend Version: Unknown

......

4. Install or update package from AGNITAS Website
OpenEMM Update via AGNITAS Website
Download and install latest runtime, frontend and backend packages? (N/y, Blank => Cancel):

> y
Starting OpenEMM Update ...

A new release version is availabe: 20.10.000
Do you want to upgrade? (y/N, Blank => Cancel):

> y

Starting release upgrade

Package contains new application 'runtime'
Initially install this application? (y/N, Blank => Cancel):

> y
Download started
[******************************************************************************]
4,593,085 of 4,593,085 Bytes (100%)
Download finished
To let the new Runtime version take effect, you must exit and restart this program!
Do you want to exit and restart now? (Y/n, Blank => Exit):
> Y
Restarting ...
AttributeError: type object 'Environment' has no attribute 'emmStatisticsPropertiesFilePath'

maschoff
Site Admin
Posts: 2512
Joined: Thu Aug 03, 2006 10:20 am
Location: Munich, Germany
Contact:

Re: new installation errors on centos 8

Post by maschoff » Sun Nov 01, 2020 8:20 am

Thanks for your feedback!

Please use the 20.04 installer to install OpenEMM 20.04.

OpenEMM 20.10 ist still beta and the 20.10 installer (also beta) is not ready yet to install OpenEMM 20.10 from scratch withut having installed OpenEMM 20.04 before.
OpenEMM Maintainer

tgidevops
Posts: 8
Joined: Tue Oct 27, 2020 4:49 am

Re: new installation errors on centos 8

Post by tgidevops » Sun Nov 01, 2020 10:03 am

I'm using 20.04 installer , still same error , even if I don't select the latest version to upgrade.

================================
= OpenEMM Installer v20.04.003 =
================================
Root mode: On
Host: TEST.MYDOMAIN
Runtime Version: 20.04.000.043
Manual Version: Unknown
OpenEMM Version: Unknown
System-Url: Unknown
OpenEMMBackend Version: Unknown

Current configuration changes or updates need the OpenEMM system to be restarted.

Current menu: Install or update package from AGNITAS Website

OpenEMM Update via AGNITAS Website
Download and install latest runtime, frontend and backend packages? (N/y, Blank => Cancel):
> y
Starting OpenEMM Update ...

A new release version is availabe: 20.10.000
Do you want to upgrade? (y/N, Blank => Cancel):
> N

Package contains new application 'runtime'
Initially install this application? (y/N, Blank => Cancel):
> y
Download started
[******************************************************************************]
3,977,930 of 3,977,930 Bytes (100%)
Download finished
To let the new Runtime version take effect, you must exit and restart this program!
Do you want to exit and restart now? (Y/n, Blank => Exit):
> y
Restarting ...
AttributeError: type object 'Environment' has no attribute 'emmStatisticsPropertiesFilePath'

tgidevops
Posts: 8
Joined: Tue Oct 27, 2020 4:49 am

Re: new installation errors on centos 8

Post by tgidevops » Wed Nov 04, 2020 2:54 am

Hi maschoff,
Have you got a chance to take a look on this error?

Thanks

maschoff
Site Admin
Posts: 2512
Joined: Thu Aug 03, 2006 10:20 am
Location: Munich, Germany
Contact:

Re: new installation errors on centos 8

Post by maschoff » Wed Nov 04, 2020 7:55 am

Dou you have a runtime 20.04.000.050 installed where you can switch to? If not, install it from our Cloud (menu "Install or update package from AGNITAS Cloud") here:

https://share.agnitas.de/index.php/s/Ts ... C/download
OpenEMM Maintainer

tgidevops
Posts: 8
Joined: Tue Oct 27, 2020 4:49 am

Re: new installation errors on centos 8

Post by tgidevops » Thu Nov 05, 2020 6:40 am

Hi Maschoff, still same error
================================
= OpenEMM Installer v20.04.003 =
================================
Host: TEST.MYDOMAIN
Runtime Version: 20.04.000.043
Manual Version: Unknown
OpenEMM Version: Unknown
System-Url: Unknown
OpenEMMBackend Version: Unknown

Current configuration changes or updates need the OpenEMM system to be restarted.

Current menu: Install or update package from AGNITAS Cloud

OpenEMM Update via AGNITAS Cloud
Please enter update package link ID (Blank => Cancel):
> https://share.agnitas.de/index.php/s/Ts ... C/download
Starting OpenEMM Update ...

Package contains new application 'runtime'
Initially install this application? (y/N, Blank => Cancel):
> y
Download started
[******************************************************************************]
3,977,930 of 3,977,930 Bytes (100%)
Download finished
To let the new Runtime version take effect, you must exit and restart this program!
Do you want to exit and restart now? (Y/n, Blank => Exit):
> y
Restarting ...
AttributeError: type object 'Environment' has no attribute 'emmStatisticsPropertiesFilePath'

maschoff
Site Admin
Posts: 2512
Joined: Thu Aug 03, 2006 10:20 am
Location: Munich, Germany
Contact:

Re: new installation errors on centos 8

Post by maschoff » Thu Nov 05, 2020 10:10 am

Hm, we can not reproduce this out of the box. Am I right that you have a clean CentOS8 server and you try to do a new OpenEMM installation with the runtime package from the AGNITAS website and your /home/openemm directory was clean before?
OpenEMM Maintainer

tgidevops
Posts: 8
Joined: Tue Oct 27, 2020 4:49 am

Re: new installation errors on centos 8

Post by tgidevops » Fri Nov 06, 2020 3:18 am

Hi Maschoff ,
Yes that's correct, i would guess same issue having by 1100101

Regards

maschoff
Site Admin
Posts: 2512
Joined: Thu Aug 03, 2006 10:20 am
Location: Munich, Germany
Contact:

Re: new installation errors on centos 8

Post by maschoff » Fri Nov 06, 2020 8:09 am

OK, we will look into that.
OpenEMM Maintainer

aso
Posts: 21
Joined: Fri Jun 19, 2015 12:43 pm

Re: new installation errors on centos 8

Post by aso » Mon Nov 09, 2020 10:51 am

Problem is fixed in OpenEMM Runtime version 20.10.039, which is now available.

tgidevops
Posts: 8
Joined: Tue Oct 27, 2020 4:49 am

Re: new installation errors on centos 8

Post by tgidevops » Tue Nov 17, 2020 4:40 am

Thanks aso,
can you please try 1100101 if it works for you
I've tried using the version mentioned and still same problem, I probably need to redo my Centos 8 installation and prerequisites.

Regards

maschoff
Site Admin
Posts: 2512
Joined: Thu Aug 03, 2006 10:20 am
Location: Munich, Germany
Contact:

Re: new installation errors on centos 8

Post by maschoff » Tue Nov 17, 2020 8:13 am

FYI: We are already at runtime 20.10.052. Maybe it makes sense to retry with a later version.
OpenEMM Maintainer

Post Reply